GET Creative Moderation-Assist Results

Use this API to get moderation-assist results for the prior job.
Returns the result of an asynchronous call. Minimum 30-second wait required before polling; multiple poll attempts may be necessary.

📘

URL: GET /api/v1/creatives/{creativeId}/moderation-assist/{jobId}?advertiserId={id of advertiser}

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
creativeIdThe UUID of the creativestringYA valid creative ID
jobIdUUID of moderation-assist jobstringYA valid job ID

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID for the specific advertiserintegerYA valid advertiser ID

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X GET \
--location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/11111111-aaaa-aaaa-aaaa-111111111111/moderation-assist/22222222-aaaa-aaaa-aaaa-222222222222?advertiserId=123' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'WM_CONSUMER.ID: <consumer id>' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
--header 'WM_SEC.AUTH_SIGNATURE: <token>' 

Response - if moderation-assist results are still Pending

ElementDescriptionType
jobIdUUID of async jobstring
statusstatus.
The value of status is PENDING
string

Sample Response - if moderation-assist results are still Pending

{ "jobId": "22222222-aaaa-aaaa-aaaa-222222222222", "status": "PENDING"
}

Response - if moderation-assist results are complete

ElementDescriptionType
jobIdUUID of moderation-assist jobstring
statusstatus. enum values: PENDING, COMPLETED, FAILEDstring
requestIdID of the moderation requeststring
creativeIdUUID of creativestring
namename of creativestring
prohibitedContentslist of violations that will most likely result in the creative being rejected if submitted.
  • policyId: ID of policy(string)
  • policyCategory: category of policy, if any
  • policyName: name of policy
  • message: description of violation
  • adUnitName: ad unit name
  • asset: creative asset
  • evidence: content that was interpreted as prohibited content
string
acknowledgementClaimslist of claims that require submitting an acknowledgement after submitting the creative. Use POST /api/v1/creatives/moderation/submission with type=ACKNOWLEDGE
  • policyId: id of policy(string)
  • policyCategory: category of policy, if any
  • policyName: name of policy
  • message: description of violation
  • adUnitName: ad unit name
  • asset: creative asset
  • evidence: content that was interpreted as a claim
string
substantiationClaimslist of claims that require submitting substantiation after submitting the creative. Use POST /api/v1/creatives/moderation/submission with type=ADDTIONAL_INFO
  • policyId: id of policy(string)
  • policyCategory: category of policy, if any
  • policyName: name of policy
  • message: description of violation
  • adUnitName: ad unit name
  • asset: creative asset
  • evidence: content that was interpreted as a claim
string
altTextlist of suggested alt-text for each ad unit image
  • adUnitName: ad unit name
  • suggestedAltText: suggest alt-text for the image
string
totalCount
  • prohibitedContents (integer)
  • acknowledgementClaims (integer)
  • substantiationClaims (integer)
  • altText (integer)
createdAt ISO 8601 timezone format: yyyy-MM-dd'T'HH:mm:ssZstring

👉

NOTE: If asset = 'Photo 1', it refers to the main image.

Sample Response - if moderation-assist results are complete

{ "jobId": "22222222-aaaa-aaaa-aaaa-222222222222", "requestId": "<id of request>", "creativeName": "the creative name", "status": "COMPLETED", "creativeId": "11111111-aaaa-aaaa-aaaa-111111111111", "prohibitedContents": [ { "policyId": "TEXT_PROH_ALCOHOL-ALCOHOL USE", "policyCategory": "alcohol-alcohol use", "policyName": "alcohol-alcohol use", "message": "Alcohol in any onsite media.", "adUnitName": "marqueeDesktop", "asset": "headline" }, … ], "acknowledgementClaims": [ { "policyId": "TEXT_CLAIM_FREE FROM CLAIMS", "policyCategory": "", "policyName": "Free From Claims", "message": "The submitted creative copy refers to brands or products with Free From Claims such as \"plastic free \".", "adUnitName": "marqueeDesktop", "asset": "headline", "evidence": "plastic free " }, … ], "substantiationClaims": [ { "policyId": "TEXT_CLAIM_GREEN CLAIMS", "policyCategory": "", "policyName": "Green Claims", "message": "The submitted creative copy refers to brands or products with Green Claims such as \"organic cotton, bpa free \".", "adUnitName": "marqueeDesktop", "asset": "subhead", "evidence": "organic cotton, bpa free " }, … ], "altText": [ { "adUnitName": "brandboxApp", "suggestedAltText": "A notebook glasses and a computer on a desk" },
… ], "totalCount": { "prohibitedContents": 14, "acknowledgementClaims": 14, "substantiationClaims": 9, "altText": 13 }, "createdAt": "2026-02-05T22:08:09Z"
}